pcl::octree::OctreeContainerBase Class Referenceabstract

Octree container class that can serve as a base to construct own leaf node container classes. More...

`#include <pcl/octree/octree_container.h>`

Inheritance diagram for pcl::octree::OctreeContainerBase:

## Public Member Functions

| OctreeContainerBase ()
| Empty constructor. More...
| OctreeContainerBase (const OctreeContainerBase &)
| Empty constructor. More...
virtual | ~OctreeContainerBase ()
| Empty deconstructor. More...
virtual bool | operator== (const OctreeContainerBase &) const
| Equal comparison operator. More...
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator. More...
virtual size_t | getSize () const
| Pure abstract method to get size of container (number of indices) More...
virtual void | reset ()=0
| Pure abstract reset leaf node implementation. More...
void | addPointIndex (const int &)
| Empty addPointIndex implementation. More...
void | getPointIndex (int &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices. More...
void | getPointIndices (std::vector< int > &) const
| Empty getPointIndices implementation as this leaf node does not store any data. More...

## Detailed Description

Octree container class that can serve as a base to construct own leaf node container classes.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 55 of file octree_container.h.

## Constructor & Destructor Documentation

## OctreeContainerBase() [1/2]

pcl::octree::OctreeContainerBase::OctreeContainerBase | ( |  | ) |

inline

Empty constructor.

Definition at line 59 of file octree_container.h.

## OctreeContainerBase() [2/2]

pcl::octree::OctreeContainerBase::OctreeContainerBase | ( | const OctreeContainerBase & |  | ) |

inline

Empty constructor.

Definition at line 64 of file octree_container.h.

## ~OctreeContainerBase()

virtual pcl::octree::OctreeContainerBase::~OctreeContainerBase | ( |  | ) |

inline virtual

Empty deconstructor.

Definition at line 70 of file octree_container.h.

## Member Function Documentation

## addPointIndex()

void pcl::octree::OctreeContainerBase::addPointIndex | ( | const int & |  | ) |

inline

Empty addPointIndex implementation.

This leaf node does not store any point indices.

Definition at line 107 of file octree_container.h.

## getPointIndex()

void pcl::octree::OctreeContainerBase::getPointIndex | ( | int & |  | ) | const

inline

Empty getPointIndex implementation as this leaf node does not store any point indices.

Definition at line 114 of file octree_container.h.

## getPointIndices()

void pcl::octree::OctreeContainerBase::getPointIndices | ( | std::vector< int > & |  | ) | const

inline

Empty getPointIndices implementation as this leaf node does not store any data.

\

Definition at line 121 of file octree_container.h.

## getSize()

virtual size_t pcl::octree::OctreeContainerBase::getSize | ( |  | ) | const

inline virtual

Pure abstract method to get size of container (number of indices)

Returns
  number of points/indices stored in leaf node container.

Reimplemented in pcl::octree::OctreeContainerPointIndices, pcl::octree::OctreeContainerPointIndex, pcl::octree::OctreeContainerEmpty, and pcl::octree::OctreePointCloudAdjacencyContainer< PointInT, DataT >.

Definition at line 95 of file octree_container.h.

References reset().

## operator!=()

bool pcl::octree::OctreeContainerBase::operator!= | ( | const OctreeContainerBase & | other | ) | const

inline

Inequal comparison operator.

Parameters

  [in] | other | OctreeContainerBase to compare with

Definition at line 86 of file octree_container.h.

## operator==()

virtual bool pcl::octree::OctreeContainerBase::operator== | ( | const OctreeContainerBase & |  | ) | const

inline virtual

Equal comparison operator.

Reimplemented in pcl::octree::OctreeContainerPointIndices, pcl::octree::OctreeContainerPointIndex, pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >, and pcl::octree::OctreePointCloudDensityContainer.

Definition at line 77 of file octree_container.h.

## reset()

virtual void pcl::octree::OctreeContainerBase::reset | ( |  | ) |

pure virtual

Pure abstract reset leaf node implementation.

Implemented in pcl::octree::OctreeContainerPointIndices, pcl::octree::OctreeContainerPointIndex, pcl::octree::OctreeContainerEmpty, pcl::octree::OctreePointCloudAdjacencyContainer< PointInT, DataT >, pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >, and pcl::octree::OctreePointCloudDensityContainer.

Referenced by getSize(), and pcl::octree::OctreeContainerPointIndex::OctreeContainerPointIndex().

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/octree/include/pcl/octree/octree_container.h